//
//  Advanced Review Email Styles
//  ____________________________________________

//
//  Variables
//  --------------------------------------------

@amreview-email-color__light: #fff;
@amreview-email-button__background-color: #1979c3;
@amreview-email-button__background-color__active: #004483;
@amreview-email-link__color: #006bb4;
@amreview-email-text__color: #333;
@amreview-product-name__line-height: 16px;

//
//  Common
//  --------------------------------------------

.amreview-button-box {
    & {
        text-align: right;
    }

    .amreview-button {
        & {
            display: inline-block;
            margin: 30px;
            padding: 20px 51px;
            border-radius: 40px;
            box-shadow: 0 4px 15px #ccc;
            color: @amreview-email-color__light;
            text-align: center;
            word-break: normal;
            font-weight: 600;
            font-size: 18px;
            line-height: 21px;
            cursor: pointer;
        }

        &.blue {
            background-color: #159ce4;
        }

        &.orange {
            background-color: #ff9416;
        }

        &.red-orange {
            background-color: #eb5757;
        }

        &.red-pink {
            background-color: #ff164e;
        }

        &.green {
            background-color: #15b355;
        }

        &.red {
            background-color: #d43f3f;
        }
    }
}

.amreview-item {
    vertical-align: middle;
}

.amreview-link {
    & {
        color: @amreview-email-link__color;
    }

    &:hover,
    &:focus,
    &:visited,
    &:active {
        color: @amreview-email-link__color !important; // Override magento styles
    }
}

.amreview-email-content {
    & {
        margin: 5px;
    }

    &,
    p,
    .amreview-text {
        color: @amreview-email-text__color;
        font-size: 16px;
        line-height: 22px;
    }

    > .amreview-text.greeting {
        margin-bottom: 30px;
        font-size: 24px;
        line-height: 33px;
    }

    .amreview-name {
        display: block;
        overflow: hidden;
        min-height: @amreview-product-name__line-height * 2;
        max-height: @amreview-product-name__line-height * 2;
        font-weight: 500;
        font-size: 14px;
        line-height: @amreview-product-name__line-height;
    }

    .amreview-img-block {
        display: block;
        margin-bottom: 20px;
    }

    .amreview-img {
        display: block;
        margin: 0 auto 20px;
    }

    .amreview-button {
        & {
            display: inline-block;
            padding: 10px 15px;
            border: none;
            border-radius: 3px;
            background: @amreview-email-button__background-color;
            color: @amreview-email-color__light;
            text-align: center;
            text-decoration: none;
            font-weight: 400;
            font-size: 16px;
            line-height: 22px;
            transition: all .2s ease-in-out;
        }

        &:hover,
        &:focus,
        &:visited,
        &:active {
            background: @amreview-email-button__background-color__active;
            color: @amreview-email-color__light !important; // Override magento styles
            text-decoration: none !important; // Override magento styles
        }

        &:focus {
            outline: 2px solid @amreview-email-button__background-color__active;
        }
    }
}

.amreview-email-footer {
    & {
        color: #666;
        text-align: center;
        font-weight: 400;
        font-size: 12px;
    }

    .amreview-unsubscribe {
        display: inline-block;
        margin-top: 7px;
        color: @amreview-email-link__color;
        font-weight: 500;
        font-size: 14px;
        line-height: 19px;
    }
}

.amreview-container {
    & {
        overflow: hidden;
        max-width: 600px;
        width: 100%;
    }

    &.amreview-grid-container {
        overflow: inherit;
        box-sizing: border-box;
        margin: 25px -5px;
        padding: 0;
        max-width: 610px;
        width: ~'calc(100% + 10px)';
    }

    &.amreview-grid-container > .amreview-item {
        display: inline-block;
        box-sizing: border-box;
        margin: 7px 5px;
        padding: 15px;
        width: ~'calc(100% / 3 - 13px)';
        border-radius: 5px;
        background: @amreview-email-color__light;
        box-shadow: 0 8px 16px rgba(181, 183, 186, .15);
    }
}
